Bug 138446 - UPDATE: databases/skytools
Summary: UPDATE: databases/skytools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-01 16:30 UTC by Khee Chin
Modified: 2009-10-11 21:13 UTC (History)
0 users

See Also:


Attachments
file.diff (1.63 KB, patch)
2009-09-01 16:30 UTC, Khee Chin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Khee Chin 2009-09-01 16:30:06 UTC
Update to /usr/ports/databases/skytools to 2.1.10

Fix: Patch attached.


Patch attached with submission follows:
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2009-09-01 19:27:54 UTC
Responsible Changed
From-To: freebsd-amd64->freebsd-ports-bugs

Ports bug
Comment 2 Edwin Groothuis freebsd_committer 2009-09-01 19:28:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Khee Chin 2009-09-05 05:00:24 UTC
Have not received any form of ack/reject from the ports maintainer,
thus, I'm submitting a follow-up since without this new version, the
port fails to run under python 2.6.

Regards,
Khee Chin.


---------- Forwarded message ----------
From: Khee Chin <kheechin@gmail.com>
Date: Wed, Sep 2, 2009 at 12:01 PM
Subject: Hi Sergey, further information related to Subject:
amd64/138446: UPDATE: databases/skytools
To: skv@freebsd.org


Hi Sergey,

I had submitted a patch back in May to update databases/skytools to
2.1.9, however, this update to version 2.1.10 needs to have a higher
priority than the previous patch as it addresses a keyword "as" in
versions prior to 2.1.10 that became a keyword only in Python 2.6,
thus, people who use versions prior to 2.1.10 are unable to run the
port out of the box and need to manually patch the affected file
themselves.

A further list of changelog can be found at
http://pgfoundry.org/frs/shownotes.php?release_id=1471 and
http://pgfoundry.org/frs/shownotes.php?release_id=1329 (for 2.1.9)

Regards,
Khee Chin.
Comment 4 Khee Chin 2009-09-05 05:56:26 UTC
Have not received any form of ack/reject from the ports maintainer,
thus, I'm submitting a follow-up since without this new version, the
port fails to run under python 2.6.

Regards,
Khee Chin.


---------- Forwarded message ----------
From: Khee Chin <kheechin@gmail.com>
Date: Wed, Sep 2, 2009 at 12:01 PM
Subject: Hi Sergey, further information related to Subject:
amd64/138446: UPDATE: databases/skytools
To: skv@freebsd.org


Hi Sergey,

I had submitted a patch back in May to update databases/skytools to
2.1.9, however, this update to version 2.1.10 needs to have a higher
priority than the previous patch as it addresses a keyword "as" in
versions prior to 2.1.10 that became a keyword only in Python 2.6,
thus, people who use versions prior to 2.1.10 are unable to run the
port out of the box and need to manually patch the affected file
themselves.

A further list of changelog can be found at
http://pgfoundry.org/frs/shownotes.php?release_id=1471 and
http://pgfoundry.org/frs/shownotes.php?release_id=1329 (for 2.1.9)

Regards,
Khee Chin.
Comment 5 dfilter service freebsd_committer 2009-10-11 20:36:50 UTC
wxs         2009-10-11 19:36:41 UTC

  FreeBSD ports repository

  Modified files:
    databases/skytools   Makefile distinfo pkg-plist 
  Log:
  - Update to 2.1.10
  
  PR:             ports/138446
  Submitted by:   Khee Chin <kheechin@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.6       +2 -2      ports/databases/skytools/Makefile
  1.3       +3 -3      ports/databases/skytools/distinfo
  1.4       +3 -0      ports/databases/skytools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2009-10-11 21:13:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!